<html>
<head>
<title>OgreD3D9HardwarePixelBuffer.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_c7ffc14721c8bed1493f4f78ca8c7331.html">Direct3D9</a>      </li>
      <li class="navelem"><a class="el" href="dir_1208738e8444befc5f502320df40a1ea.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreD3D9HardwarePixelBuffer.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreD3D9HardwarePixelBuffer_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __D3D9PIXELBUFFER_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __D3D9PIXELBUFFER_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgreD3D9Prerequisites_8h.html">OgreD3D9Prerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreHardwarePixelBuffer_8h.html">OgreHardwarePixelBuffer.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="keyword">namespace </span>Ogre {
<a name="l00035"></a>00035 
<a name="l00036"></a>00036     <span class="keyword">class </span>D3D9Texture;
<a name="l00037"></a>00037     <span class="keyword">class </span>D3D9RenderTexture;
<a name="l00038"></a>00038 
<a name="l00039"></a><a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html">00039</a>     <span class="keyword">class </span><a class="code" href="OgreD3D9Prerequisites_8h.html#a2f097a9b4c2ebfb75896e7d6eec01a1d">_OgreD3D9Export</a> <a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html">D3D9HardwarePixelBuffer</a>: <span class="keyword">public</span> <a class="code" href="classOgre_1_1HardwarePixelBuffer.html" title="Specialisation of HardwareBuffer for a pixel buffer.">HardwarePixelBuffer</a>
<a name="l00040"></a>00040     {
<a name="l00041"></a>00041     <span class="keyword">protected</span>:      
<a name="l00042"></a><a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html">00042</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html">BufferResources</a>
<a name="l00043"></a>00043         {           
<a name="l00045"></a><a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#a694a29abce4a069e039f954151a7db7c">00045</a>             IDirect3DSurface9* <a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#a694a29abce4a069e039f954151a7db7c" title="Surface abstracted by this buffer.">surface</a>;
<a name="l00047"></a><a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#aabe666b10a0411cc1578f04480f87a23">00047</a>             IDirect3DSurface9* <a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#aabe666b10a0411cc1578f04480f87a23" title="AA Surface abstracted by this buffer.">fSAASurface</a>;
<a name="l00049"></a><a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#a2cd30c4fd53337eee67dcfb4dd304029">00049</a>             IDirect3DVolume9* <a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#a2cd30c4fd53337eee67dcfb4dd304029" title="Volume abstracted by this buffer.">volume</a>;
<a name="l00051"></a><a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#a0585f6e5eb2755ff483141187ffff981">00051</a>             IDirect3DSurface9* <a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#a0585f6e5eb2755ff483141187ffff981" title="Temporary surface in main memory if direct locking of mSurface is not possible.">tempSurface</a>;
<a name="l00053"></a><a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#ac6f7ef26dcbc86362004ddb68b72f60f">00053</a>             IDirect3DVolume9* <a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#ac6f7ef26dcbc86362004ddb68b72f60f" title="Temporary volume in main memory if direct locking of mVolume is not possible.">tempVolume</a>;
<a name="l00055"></a><a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#a3ed264105675df824f409f8e403a05ac">00055</a>             IDirect3DBaseTexture9 *<a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html#a3ed264105675df824f409f8e403a05ac" title="Mip map texture.">mipTex</a>;          
<a name="l00056"></a>00056         };
<a name="l00057"></a>00057 
<a name="l00058"></a><a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html#aefc62ae5463401a00f341224c6326133">00058</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;IDirect3DDevice9*, BufferResources*&gt;::type</a>  <a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html#aefc62ae5463401a00f341224c6326133">DeviceToBufferResourcesMap</a>;
<a name="l00059"></a><a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a5750199f136e0afb2d59e6a16bfd9897">00059</a>         <span class="keyword">typedef</span> DeviceToBufferResourcesMap::iterator            <a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a5750199f136e0afb2d59e6a16bfd9897">DeviceToBufferResourcesIterator</a>;
<a name="l00060"></a>00060 
<a name="l00062"></a><a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a1c33ea152a899dca8cf10359fa296afc">00062</a>         <a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html#aefc62ae5463401a00f341224c6326133">DeviceToBufferResourcesMap</a>  <a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a1c33ea152a899dca8cf10359fa296afc" title="Map between device to buffer resources.">mMapDeviceToBufferResources</a>;
<a name="l00063"></a>00063                 
<a name="l00065"></a><a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a507da2c051a4d428dc64d6edbad057b0">00065</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a507da2c051a4d428dc64d6edbad057b0" title="Mipmapping.">mDoMipmapGen</a>;
<a name="l00066"></a><a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html#abe5a811867d8f0ad27ce91d650010f2d">00066</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html#abe5a811867d8f0ad27ce91d650010f2d">mHWMipmaps</a>;
<a name="l00067"></a>00067         
<a name="l00069"></a><a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html#aa0d234ffd51f02db0d577244dfadfd7c">00069</a>         <a class="code" href="classOgre_1_1D3D9RenderTexture.html" title="RenderTexture implementation for D3D9.">D3D9RenderTexture</a>* <a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html#aa0d234ffd51f02db0d577244dfadfd7c" title="Render target.">mRenderTexture</a>;
<a name="l00070"></a>00070 
<a name="l00071"></a>00071         <span class="comment">// The owner texture if exists.</span>
<a name="l00072"></a><a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a51021294ee493c4a6558f4835120234d">00072</a>         <a class="code" href="classOgre_1_1D3D9Texture.html">D3D9Texture</a>* <a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a51021294ee493c4a6558f4835120234d">mOwnerTexture</a>;
<a name="l00073"></a>00073         
<a name="l00074"></a>00074         <span class="comment">// The current lock flags of this surface.</span>
<a name="l00075"></a><a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a29f9840d07343d4cbf5e5acdcd9e9c74">00075</a>         DWORD <a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html#a29f9840d07343d4cbf5e5acdcd9e9c74">mLockFlags</a>;
<a name="l00076"></a>00076 
<a name="l00077"></a>00077         <span class="comment">// Device access mutex.</span>
<a name="l00078"></a>00078         <a class="code" href="OgrePrerequisites_8h.html#ac853de57688aefaec88f75cd9e0ac388">OGRE_STATIC_MUTEX</a>(msDeviceAccessMutex)      
<a name="l00079"></a>00079     protected:
<a name="l00081"></a>00081         <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> lockImpl(const <a class="code" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a>::<a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> lockBox,  <a class="code" href="classOgre_1_1HardwareBuffer.html#aac34930556f611928ec9157c04bd1b0f" title="Locking options.">LockOptions</a> options);
<a name="l00082"></a>00082         <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> lockBuffer(<a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html">BufferResources</a>* bufferResources, const <a class="code" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a>::<a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> &amp;lockBox, DWORD flags);
<a name="l00083"></a>00083 
<a name="l00085"></a>00085         <span class="keywordtype">void</span> unlockImpl(<span class="keywordtype">void</span>);
<a name="l00086"></a>00086         <span class="keywordtype">void</span> unlockBuffer(<a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html">BufferResources</a>* bufferResources);
<a name="l00087"></a>00087 
<a name="l00088"></a>00088         <a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html">BufferResources</a>* getBufferResources(IDirect3DDevice9* d3d9Device);
<a name="l00089"></a>00089         <a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html">BufferResources</a>* createBufferResources();
<a name="l00090"></a>00090     
<a name="l00092"></a>00092         <span class="keywordtype">void</span> updateRenderTexture(<span class="keywordtype">bool</span> writeGamma, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa, const <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; srcName);
<a name="l00094"></a>00094         <span class="keywordtype">void</span> destroyRenderTexture();
<a name="l00095"></a>00095 
<a name="l00096"></a>00096         <span class="keywordtype">void</span> blit(IDirect3DDevice9* d3d9Device, const <a class="code" href="classOgre_1_1HardwarePixelBufferSharedPtr.html" title="Shared pointer implementation used to share pixel buffers.">HardwarePixelBufferSharedPtr</a> &amp;src,
<a name="l00097"></a>00097                 const <a class="code" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a>::<a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> &amp;srcBox, const <a class="code" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a>::<a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> &amp;dstBox, 
<a name="l00098"></a>00098                 <a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html">BufferResources</a>* srcBufferResources, 
<a name="l00099"></a>00099                 <a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html">BufferResources</a>* dstBufferResources);
<a name="l00100"></a>00100         <span class="keywordtype">void</span> blitFromMemory(const <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> &amp;src, const <a class="code" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a>::<a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> &amp;dstBox, <a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html">BufferResources</a>* dstBufferResources);
<a name="l00101"></a>00101 
<a name="l00102"></a>00102         <span class="keywordtype">void</span> blitToMemory(const <a class="code" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a>::<a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> &amp;srcBox, const <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> &amp;dst, <a class="code" href="structOgre_1_1D3D9HardwarePixelBuffer_1_1BufferResources.html">BufferResources</a>* srcBufferResources, IDirect3DDevice9* d3d9Device);
<a name="l00103"></a>00103             
<a name="l00104"></a>00104     public:
<a name="l00105"></a>00105         <a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html">D3D9HardwarePixelBuffer</a>(<a class="code" href="classOgre_1_1HardwareBuffer.html" title="Abstract class defining common features of hardware buffers.">HardwareBuffer</a>::<a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">Usage</a> usage, 
<a name="l00106"></a>00106             <a class="code" href="classOgre_1_1D3D9Texture.html">D3D9Texture</a>* ownerTexture);
<a name="l00107"></a>00107         ~<a class="code" href="classOgre_1_1D3D9HardwarePixelBuffer.html">D3D9HardwarePixelBuffer</a>();
<a name="l00108"></a>00108 
<a name="l00110"></a>00110         <span class="keywordtype">void</span> bind(IDirect3DDevice9 *dev, IDirect3DSurface9 *mSurface, IDirect3DSurface9* fsaaSurface,
<a name="l00111"></a>00111                   <span class="keywordtype">bool</span> writeGamma, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa, const <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; srcName, IDirect3DBaseTexture9 *mipTex);
<a name="l00112"></a>00112         <span class="keywordtype">void</span> bind(IDirect3DDevice9 *dev, IDirect3DVolume9 *mVolume, IDirect3DBaseTexture9 *mipTex);
<a name="l00113"></a>00113         
<a name="l00115"></a>00115         <span class="keywordtype">void</span> blit(const <a class="code" href="classOgre_1_1HardwarePixelBufferSharedPtr.html" title="Shared pointer implementation used to share pixel buffers.">HardwarePixelBufferSharedPtr</a> &amp;src, const <a class="code" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a>::<a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> &amp;srcBox, const <a class="code" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a>::<a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> &amp;dstBox);
<a name="l00116"></a>00116         
<a name="l00118"></a>00118         <span class="keywordtype">void</span> blitFromMemory(const <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> &amp;src, const <a class="code" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a>::<a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> &amp;dstBox);
<a name="l00119"></a>00119     
<a name="l00121"></a>00121         <span class="keywordtype">void</span> blitToMemory(const <a class="code" href="classOgre_1_1Image.html" title="Class representing an image file.">Image</a>::<a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> &amp;srcBox, const <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> &amp;dst);
<a name="l00122"></a>00122         
<a name="l00124"></a>00124         <span class="keywordtype">void</span> _genMipmaps(IDirect3DBaseTexture9* mipTex);
<a name="l00125"></a>00125         
<a name="l00127"></a>00127         <span class="keywordtype">void</span> _setMipmapping(<span class="keywordtype">bool</span> doMipmapGen, <span class="keywordtype">bool</span> HWMipmaps);
<a name="l00128"></a>00128         
<a name="l00129"></a>00129         
<a name="l00131"></a>00131         <a class="code" href="classOgre_1_1RenderTexture.html" title="This class represents a RenderTarget that renders to a Texture.">RenderTexture</a> *getRenderTarget(<span class="keywordtype">size_t</span> zoffset);
<a name="l00132"></a>00132 
<a name="l00134"></a>00134         IDirect3DSurface9 *getSurface(IDirect3DDevice9* d3d9Device);
<a name="l00135"></a>00135         
<a name="l00137"></a>00137         IDirect3DSurface9 *getFSAASurface(IDirect3DDevice9* d3d9Device);
<a name="l00138"></a>00138 
<a name="l00140"></a>00140         virtual <span class="keywordtype">void</span> _clearSliceRTT(<span class="keywordtype">size_t</span> zoffset);
<a name="l00141"></a>00141 
<a name="l00143"></a>00143         <span class="keywordtype">void</span> releaseSurfaces(IDirect3DDevice9* d3d9Device);
<a name="l00144"></a>00144 
<a name="l00146"></a>00146         <span class="keywordtype">void</span> destroyBufferResources(IDirect3DDevice9* d3d9Device);
<a name="l00147"></a>00147 
<a name="l00148"></a>00148         <span class="comment">// Called when device state is changing. Access to any device should be locked.</span>
<a name="l00149"></a>00149         <span class="comment">// Relevant for multi thread application.</span>
<a name="l00150"></a>00150         static <span class="keywordtype">void</span> lockDeviceAccess();
<a name="l00151"></a>00151 
<a name="l00152"></a>00152         <span class="comment">// Called when device state change completed. Access to any device is allowed.</span>
<a name="l00153"></a>00153         <span class="comment">// Relevant for multi thread application.</span>
<a name="l00154"></a>00154         static <span class="keywordtype">void</span> unlockDeviceAccess();
<a name="l00155"></a>00155     };
<a name="l00156"></a>00156 };
<a name="l00157"></a>00157 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
